I2C_SMBUS_WRITE_WORD(9)

NAME
i2c_smbus_write_word_data - SMBus “write word” protocol

SYNOPSIS

s32 i2c_smbus_write_word_data(const struct i2c_client * client, u8 command, u16 value);

ARGUMENTS

client
    Handle to slave device

command
    Byte interpreted by slave

value
    16-bit “word” being written

DESCRIPTION

This executes the SMBus “write word” protocol, returning negative errno else zero on success.

COPYRIGHT